// home/pages/bankCardDetail/bankCardDetail.js
const {
  bankCardDetail,
  IMG_BASE_URL,
  WU_TU_PIAN_URL,
} = require('../../../api/api')
Page({
  data: {
    detail:{},
    backF:"https://nhet.oss-cn-shanghai.aliyuncs.com/static/img/bank_card_front.png",
    backB:"https://nhet.oss-cn-shanghai.aliyuncs.com/static/img/bank_card_back.png",
  },
  onLoad(options) {
    this.data.idCard = options.idCard;
    this.data.managementType = options.managementType;
    this.initData();
  },
  //详情数据
  initData(){
    bankCardDetail({
      idCard: this.data.idCard,
      managementType: this.data.managementType,
      partnerId: wx.getStorageSync('capitalId')
    }).then(res=>{
      this.setData({
        detail:res.data,
        code1:res.data.accountCode.slice(0,4),
        code2:res.data.accountCode.slice(4,8),
        code3:res.data.accountCode.slice(8,12),
        code4:res.data.accountCode.slice(12,16),
        code5:res.data.accountCode.slice(16),
      });
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})